> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocode.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vector Databases



## OpenAPI

````yaml get /v1/vector_databases/list
openapi: 3.1.0
info:
  title: Vocode Hosted API
  description: |2-

            Vocode's Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  termsOfService: http://example.com/terms/
  contact:
    name: Support
    email: support@vocode.dev
  version: 1.0.0
servers:
  - url: https://api.vocode.dev
    description: Production environment
    x-fern-server-name: Production
security: []
tags:
  - name: numbers
    description: Operations with phone numbers.
  - name: calls
    description: Manage calls.
paths:
  /v1/vector_databases/list:
    get:
      tags:
        - vector_databases
      summary: List Vector Databases
      operationId: list_vector_databases
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Size
        - name: sort_column
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort Column
        - name: sort_desc
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            default: false
            title: Sort Desc
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VectorDatabasePage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    VectorDatabasePage:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PineconeVectorDatabase'
          type: array
          title: Items
        page:
          type: integer
          title: Page
        size:
          type: integer
          title: Size
        has_more:
          type: boolean
          title: Has More
        total:
          type: integer
          title: Total
        total_is_estimated:
          type: boolean
          title: Total Is Estimated
      type: object
      required:
        - items
        - page
        - size
        - has_more
        - total
        - total_is_estimated
      title: VectorDatabasePage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PineconeVectorDatabase:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          type: string
          format: uuid
          title: User Id
        type:
          type: string
          enum:
            - vector_database_pinecone
          const: vector_database_pinecone
          title: Type
        index:
          type: string
          title: Index
        api_key:
          type: string
          title: Api Key
        api_environment:
          type: string
          title: Api Environment
      type: object
      required:
        - id
        - user_id
        - type
        - index
        - api_key
        - api_environment
      title: PineconeVectorDatabase
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````